let page _archive_title text =
  let open Logarion.Text in
  "# " ^ text.title
  ^ "\nAuthors: " ^ Logarion.Person.Set.to_string text.authors
  ^ "\nDated: " ^ Logarion.Date.(pretty_date @@ listing text.date)
  ^ let module T = Parsers.Plain_text.Make (Converter.Gemini) in
  "\n" ^ T.of_string text.body ""

let date_index title meta_list =
  List.fold_left
    (fun a m ->
      a ^ "=> " ^ Logarion.Text.alias m ^ ".gmi " ^
        Logarion.(Date.(pretty_date (listing m.date)) ^ " " ^ m.title) ^ "\n")
    ("# " ^ title ^ "\n") meta_list
